org.codehaus.plexus.interpolation.fixed

## Interface FixedValueSource

All Known Implementing Classes:
  AbstractDelegatingValueSource, EnvarBasedValueSource, FixedStringSearchInterpolator, MapBasedValueSource, ObjectBasedValueSource, PrefixedObjectValueSource, PrefixedPropertiesValueSource, PrefixedValueSourceWrapper, PropertiesBasedValueSource

    public interface FixedValueSource

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getValue(String expression, InterpolationState interpolationState)`

### Method Detail

#### getValue

    Object getValue(String expression,
                    InterpolationState interpolationState)

Returns:
  the value related to the expression, or null if not found (not available from this source)